Get an S3 asset.
Retrieve the details of S3 compatible datasource asset by id.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
AssetId
Unique identifier of the asset.
Query parameters
usageInfo
Whether the query should include asset usage information as part of the response.
complyToProject
Include workload creation compliance information of an asset, for a given project, as part of the response. To check compliance, you need to provide both project id and workload type.
complyToWorkloadType
Include workload creation compliance information of an asset, for a given workload type, as part of the response. To check compliance, you need to provide both project id and workload type.
Allowed values:
statusInfo
Whether the query should include asset status information as part of the response.
complyToReplicaType
Include workload creation compliance information of an asset, for a given replica type, as part of the response. To check compliance, you need to provide both project id and workload type. For distributed, replica type should be provided as well.
Allowed values:
Response
Request completed successfully.
meta
spec
usedBy
Details about resources that use the asset.
usageTimes
Details about times the asset has been used by workloads, etc.
compliance
Compliance of an asset with creation of workloads in a given project.
status
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error